## plainbox 0.5.3

=== debian/changelog ===
plainbox (0.5.3-2) unstable; urgency=medium

  * debian/python3-plainbox.preinst: remove
    /usr/lib/python3/dist-packages/{data,testdata} on upgrades (if they are
    not symbolic links). This fixes upgrades from the previous version.

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Tue, 08 Apr 2014 00:11:37 +0200

plainbox (0.5.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control: make python3-plainbox, plainbox, plainbox-secure-policy
    and plainbox-insecure-policy all depend on one version on themselves.
    LP: #1298284
  * debian/control: break python3-checkbox-ng << 0.3
  * debian/control: drop build and runtime dependency on python3-requests
  * debian/copyright: add entry for new file (_shlex.py)
  * debian/copyright: move python license to dedicated license section (reused
    by three modules) per example 2 on http://dep.debian.net/deps/dep5/
  * debian/rules: regenerate translation templates 
  * debian/rules: move plainbox/data and plainbox/test-data to
    /usr/share/python3-plainbox/ and use symlinks to keep original directories
    available. 
  * List of fixed bugs:
    https://launchpad.net/checkbox/+milestone/plainbox-0.5.2
    https://launchpad.net/plainbox/+milestone/0.5.3

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Tue, 01 Apr 2014 01:36:20 +0200

plainbox (0.5.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: drop X-Python3-Version << 3.5 
  * debian/patches/disable-development-option: dropped, applied upstream
  * debian/copyright: associate vendorized copies of argparse with appropriate
    copyright section

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Wed, 19 Mar 2014 00:08:12 +0100

plainbox (0.5~b2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: build-depend on python3-distutils-extra for translations
  * debian/control: add support for python3.4
  * debian/control: drop build dependency on help2man, the new release has
    native manual pages
  * debian/rules: build, install and clean up after translations
  * debian/clean: clean *.egg-info and *.pot files since those get
    regenerated
  * debian/source/options: ignore changes to .po files since intltools-update
    keeps bumping the timestamp embedded in them
  * debian/copyright: add license section for plainbox/impl/_argparse.py
  * debian/copyright: add new copyright entries for textland
  * debian/patches: refresh and reorder without any semantic changes
  * debian/patches: add patch to revert documentation theme to defaults
  * debian/watch: add mangling for alpha releases
  * debian/python3-plainbox.manpages, debian/plainbox.manpages: use manual
    pages build with sphinx

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Thu, 13 Mar 2014 09:45:06 +0100

plainbox (0.4-4) unstable; urgency=medium

  * Team upload.
  * Autopkgtest improvements: enable verbose output, use $ADTTMP and stop
    redirecting output to /dev/null.
  * Export NO_PNG_PKG_MANGLE=1 in debian/rules to disable PNG stripping
    when pkgbinarymangler is installed (it breaks the testsuite).

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 22 Jan 2014 18:08:40 +0400

plainbox (0.4-3) unstable; urgency=medium

  * debian/tests/unit-tests: actually fail the test suite if unit tests fail.
    Thanks to Michael Terry for the fix. LP:#1265853

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Fri, 03 Jan 2014 16:55:54 +0100

plainbox (0.4-2) unstable; urgency=medium

  * debian/tests/control: Fix autopackage tests not to install all (including
    conflicting) packages blindly LP:#1264985

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Thu, 02 Jan 2014 10:33:29 +0100

plainbox (0.4-1) unstable; urgency=medium

  * New upstream release
  * plainbox-insecure-policy.install, plainbox-secure-policy.install: adjust
    packaging to install the same policykit .policy files under their new
    names
  * debian/copyright: update all Canonical-owned code to GPL-3 (not GPL-3+)
  * debian/control: mark python3.4 as unsupported as python3-lxml does not
    support python3.4 yet

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Tue, 24 Dec 2013 14:27:09 +0100

plainbox (0.4~b2-1) unstable; urgency=low

  * Initial release (Closes: #730568)

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Thu, 28 Nov 2013 23:38:28 +0000
