=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=plainbox
export LANG=
export LANGUAGE=
export NO_PNG_PKG_MANGLE=1

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	# Build sphinx html documentation and man pages 
	python3 setup.py build_sphinx -b html
	python3 setup.py build_sphinx -b man
	# Build plainbox translations
	python3 setup.py build_i18n --merge-po
	# Build stubbox translations
	PYTHONPATH=. ./plainbox/impl/providers/stubbox/manage.py i18n

# Override dh_install to ensure that /usr/bin/plainbox is in the plainbox
# package and not in the python3-plainbox package. Also move the data and
# test-data directories to usr/share and provide symlinks (via
# python3-plainbox.links) for everything to work.
override_dh_install:
	dh_install
	mkdir -p debian/plainbox/usr/bin
	mkdir -p debian/python3-plainbox/usr/share/python3-plainbox/
	mv debian/python3-plainbox/usr/bin/plainbox debian/plainbox/usr/bin/
	cp -R plainbox/data debian/python3-plainbox/usr/share/python3-plainbox/
	cp -R plainbox/test-data debian/python3-plainbox/usr/share/python3-plainbox/
	rm -rf $(foreach version,$(shell py3versions -s), debian/python3-plainbox/usr/lib/$(version)/dist-packages/plainbox/data)
	rm -rf $(foreach version,$(shell py3versions -s), debian/python3-plainbox/usr/lib/$(version)/dist-packages/plainbox/test-data)

# Override dh_clean to remove stubbox's translation directory
override_dh_clean:
	dh_clean
	rm -rf plainbox/impl/providers/stubbox/build

# Drop the empty python-3.4 directory
# Taken from https://wiki.debian.org/Python/LibraryStyleGuide
override_dh_python3:
	dh_python3
	rm -rf debian/python3-plainbox/usr/lib/python3.?
