=== debian/watch ===
version=3
opts="uversionmangle=s/b/~b/g;s/a/~a/g" \
    http://pypi.python.org/packages/source/p/plainbox/plainbox-(.*)\.tar\.gz
