## plainbox 0.5.4

=== debian/changelog ===
plainbox (0.5.4-1) unstable; urgency=medium

  * New upstream release
  * List of fixed bugs:
    https://launchpad.net/plainbox/+milestone/0.5.4

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Thu, 10 Apr 2014 22:31:50 +0200
