=== debian/tests/control ===
Tests: unit-tests
Depends: plainbox
