## plainbox 0.22.2

=== debian/changelog ===
plainbox (0.22.2-1ubuntu1) wily; urgency=medium

  * debian/patches: add a pile of patches that bring in cherry-picked or
    brand-new fixes for issues uncovered by python 3.5.

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Wed, 02 Sep 2015 16:21:41 +0200

plainbox (0.22.2-1) unstable; urgency=medium

  * New upstream maintenance release
  * Use a temporary HOME to work around LP: #1478906
  * Build i18n catalogs for the exporters and categories providers.
  * Move myself to Uploaders and set the checkbox-devel@lists.ubuntu.com
    mailing list as the Maintainer. 
  * Remove duplicate dependency on python3-xlsxwriter (via suggests and
    depends) from python3-plainbox.
  * Remove XS-Testsuite: autopkgtest as recommend by lintian.
  * De-duplicate licenses in debian/copyright
  * Correct filename patterns for pyglibc/glibc files.

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Tue, 28 Jul 2015 12:23:17 +0200

plainbox (0.22-1) unstable; urgency=medium

  * New upstream release (sorry for skipping 0.21) with multiple fixes and new
    features.
  * One important feature is the introduction of exporter units that allow
    test developers to put any customized report directly into the test
    provider package. This allows us to remove all association with Ubuntu or
    Canonical from the core plainbox package and make it more universal for
    Debian and other distributions.
  * debian/control: Drop dependency on python3-lxml (and the associated
    security issues). Upstream moved away from lxml and has adopted Jinja2 as
    a more flexible system for creating arbitrary text-based reports. 
  * debian/control: Make the dependency on python3-xlsxwriter explicit as it
    is now more directly tested and not so much optional.
  * debian/patches/documentation-theme: refresh patch 
  * debian/patches/fix-packaging-metadata-units: add a combined patch that
    addresses three Debian-affecting bugs that prevent providers from
    generating some of their dependencies.

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Tue, 21 Jul 2015 12:22:03 +0200

plainbox (0.20-1) unstable; urgency=medium

  * Use the new pypi redirector
  * Correct debian/copyright paths
  * Correct debian/copyright license names
  * Update Standards-Version to 3.9.6 (no change required) 
  * New upstream release
  * Add debian/copyright entry for sphinxarg
  * Remove stubbox so that it's not packaged / installed 
  * Break checkbox-ng << 0.18 so that upgrades work (packages are bound by
    unstable API and this is the matching release) 
  * Ship plainbox-qml-shell manual page along with python3-plainbox package
  * Tweak how i18n catalogs are built not to corrupt the tree 
  * Build i18n catalog for the 'categories' provider 
  * Update generic copyright to -2015
  * Remove textland-specific copyright (it's now the same as the rest of
    plainbox), GPL-3 (not 3+) 
  * Add license specific to vendorized python-morris
  * Add license specific to vendorized python-glibc 
  * Wrap-and-sort everything

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Wed, 04 Mar 2015 18:49:06 +0100
