=== debian/control ===
--- 
+++ 
@@ -1,32 +1,31 @@
 Source: plainbox
 Section: utils
 Priority: optional
-Maintainer: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends:
- debhelper (>= 9),
- dh-python,
- python3-all,
- python3-distutils-extra,
- python3-docutils,
- python3-lxml,
- python3-pkg-resources,
- python3-setuptools,
- python3-sphinx,
-Standards-Version: 3.9.5
+Maintainer: Checkbox Developers <checkbox-devel@lists.ubuntu.com>
+Uploaders: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
+           Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python3-all,
+               python3-distutils-extra,
+               python3-docutils,
+               python3-jinja2,
+               python3-pkg-resources,
+               python3-setuptools,
+               python3-sphinx,
+               python3-xlsxwriter
+Standards-Version: 3.9.6
 X-Python3-Version: >= 3.2
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/plainbox/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/plainbox/trunk/
-XS-Testsuite: autopkgtest
 Homepage: http://launchpad.net/checkbox
 
 Package: plainbox
 Architecture: all
-Depends:
- ${misc:Depends},
- ${python3:Depends},
- python3-pkg-resources,
- python3-plainbox (= ${binary:Version})
+Depends: python3-pkg-resources,
+         python3-plainbox (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends}
 Description: toolkit for software and hardware integration testing
  PlainBox is a toolkit consisting of python3 library, development tools,
  documentation and examples. It is targeted at developers working on testing or
@@ -52,17 +51,13 @@
 Package: python3-plainbox
 Architecture: all
 Section: python
-Depends:
- ${misc:Depends},
- ${python3:Depends},
- plainbox-secure-policy (= ${binary:Version}) | plainbox-insecure-policy (= ${binary:Version}),
- policykit-1,
- python3-lxml,
- python3-pkg-resources,
-Suggests:
- python3-xlsxwriter
-Breaks:
- python3-checkbox-ng (<< 0.3)
+Depends: plainbox-secure-policy (= ${binary:Version}) | plainbox-insecure-policy (= ${binary:Version}),
+         policykit-1,
+         python3-pkg-resources,
+         python3-xlsxwriter,
+         ${misc:Depends},
+         ${python3:Depends}
+Breaks: python3-checkbox-ng (<< 0.18)
 Description: toolkit for software and hardware testing (python3 module)
  PlainBox is a toolkit consisting of python3 library, development tools,
  documentation and examples. It is targeted at developers working on testing or
@@ -89,9 +84,7 @@
 Architecture: all
 Section: doc
 Priority: extra
-Depends:
- ${misc:Depends},
- ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: toolkit for software and hardware testing (documentation)
  PlainBox is a toolkit consisting of python3 library, development tools,
  documentation and examples. It is targeted at developers working on testing or
@@ -116,7 +109,7 @@
 
 Package: plainbox-secure-policy
 Architecture: all
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Conflicts: plainbox-insecure-policy
 Replaces: plainbox-insecure-policy
 Description: policykit policy required to use plainbox (secure version)
@@ -145,7 +138,7 @@
 
 Package: plainbox-insecure-policy
 Architecture: all
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Conflicts: plainbox-secure-policy
 Replaces: plainbox-secure-policy
 Description: policykit policy required to use plainbox (insecure version)
