## plainbox 0.25

=== debian/changelog ===
plainbox (0.25-1) unstable; urgency=medium

  * New upstream release
  * List of fixed bugs: https://launchpad.net/plainbox/+milestone/0.25

 -- Sylvain Pineau <sylvain.pineau@canonical.com>  Tue, 05 Jan 2016 17:26:37 +0100

plainbox (0.24-1) unstable; urgency=medium

  * New upstream release with multiple fixes and new features.
  * One important feature is the introduction of the SessionAssistant class.
    It allows Plainbox to simplify common testing scenarios.
    The assistant acts as a middle-man between the session manager and the
    application.
    It handles all currently known stages of the testing work-flow.
  * Add a dependency on python3 guacamole, padme, requests and tk.
  * Plainbox now supports a new way to express estimated durations that is much
    easier for humans to read and write.
  * Plainbox now supports an *after* job ordering constraint. This constraint
    is very similar to the existing *depends* constraint, except that the
    outcome of the referenced job is not important. In practical terms, even if
    one job runs and fails, another job that runs *after* it, will run.
  * Plainbox now allows more than one resource object to be used in a resource
    expression (e.g. the manifest resource with something else).
  * Plainbox ignores trailing garbage after EOF while reading IOLog zip.
    See https://bugs.python.org/issue24301.

 -- Sylvain Pineau <sylvain.pineau@canonical.com>  Fri, 04 Dec 2015 15:44:14 +0100

plainbox (0.22.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: dh_clean: rm: cannot remove 'plainbox.egg-info': d/clean did
    miss the final '/*' to be recognized as directory. (Closes: #805677)
  * Also clean a mo file to allow build twice in a row

 -- Tobias Frost <tobi@debian.org>  Sun, 22 Nov 2015 13:07:43 +0100

plainbox (0.22.2-2) unstable; urgency=medium

  * debian/patches: add a pile of patches that bring in cherry-picked or
    brand-new fixes for issues uncovered by python 3.5.

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Wed, 02 Sep 2015 16:21:41 +0200
