=== debian/control ===
--- 
+++ 
@@ -2,22 +2,27 @@
 Section: utils
 Priority: optional
 Maintainer: Checkbox Developers <checkbox-devel@lists.ubuntu.com>
-Uploaders: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
+Uploaders: Sylvain Pineau <sylvain.pineau@canonical.com>,
+           Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
            Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3-all,
                python3-distutils-extra,
                python3-docutils,
+               python3-guacamole,
                python3-jinja2,
+               python3-padme,
                python3-pkg-resources,
+               python3-requests,
                python3-setuptools,
                python3-sphinx,
+               python3-tk,
                python3-xlsxwriter
 Standards-Version: 3.9.6
 X-Python3-Version: >= 3.2
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/plainbox/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/plainbox/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/plainbox.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/plainbox.git
 Homepage: http://launchpad.net/checkbox
 
 Package: plainbox
@@ -53,7 +58,11 @@
 Section: python
 Depends: plainbox-secure-policy (= ${binary:Version}) | plainbox-insecure-policy (= ${binary:Version}),
          policykit-1,
+         python3-guacamole,
+         python3-jinja2,
+         python3-padme,
          python3-pkg-resources,
+         python3-requests,
          python3-xlsxwriter,
          ${misc:Depends},
          ${python3:Depends}
