=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,16 @@
 override_dh_auto_build:
 	dh_auto_build --buildsystem=pybuild
 	# Build sphinx html documentation and man pages 
-	python3 setup.py build_sphinx -b html
-	python3 setup.py build_sphinx -b man
+	# Use TEMP_HOME to work around https://bugs.launchpad.net/plainbox/+bug/1478906
+	TEMP_HOME=`mktemp -d`; HOME=$$TEMP_HOME python3 setup.py build_sphinx -b html; rm -rf $$TEMP_HOME;
+	TEMP_HOME=`mktemp -d`; HOME=$$TEMP_HOME python3 setup.py build_sphinx -b man; rm -rf $$TEMP_HOME;
 	# Build plainbox translations
 	python3 setup.py build_i18n --merge-po
-	# Build stubbox translations
-	PYTHONPATH=. ./plainbox/impl/providers/stubbox/manage.py i18n
+	# Build translations for the bundled provider
+	PYTHONPATH=. ./plainbox/impl/providers/stubbox/manage.py i18n --dont-update-pot --dont-merge-po
+	PYTHONPATH=. ./plainbox/impl/providers/categories/manage.py i18n --dont-update-pot --dont-merge-po
+	PYTHONPATH=. ./plainbox/impl/providers/manifest/manage.py i18n --dont-update-pot --dont-merge-po
+	PYTHONPATH=. ./plainbox/impl/providers/exporters/manage.py i18n --dont-update-pot --dont-merge-po
 
 # Override dh_install to ensure that /usr/bin/plainbox is in the plainbox
 # package and not in the python3-plainbox package. Also move the data and
@@ -30,11 +34,13 @@
 	cp -R plainbox/test-data debian/python3-plainbox/usr/share/python3-plainbox/
 	rm -rf $(foreach version,$(shell py3versions -s), debian/python3-plainbox/usr/lib/$(version)/dist-packages/plainbox/data)
 	rm -rf $(foreach version,$(shell py3versions -s), debian/python3-plainbox/usr/lib/$(version)/dist-packages/plainbox/test-data)
+	rm -f debian/python3-plainbox/usr/bin/stubbox
 
-# Override dh_clean to remove stubbox's translation directory
+# Override dh_clean to remove provider build artefacts
 override_dh_clean:
 	dh_clean
 	rm -rf plainbox/impl/providers/stubbox/build
+	rm -rf plainbox/impl/providers/categories/build
 
 # Drop the empty python-3.4 directory
 # Taken from https://wiki.debian.org/Python/LibraryStyleGuide
